%define pkg_name        UNIVERSAL-moniker
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 4.n0i.9

Summary:       A "moniker" method to "UNIVERSAL"
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KA/KASEI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}

%global perl_filter_prov 'perl\\(UNIVERSAL\\)'


%description
Class names in Perl often don't sound great when spoken, or look good when
written in prose. For this reason, we tend to say things like "customer" or
"basket" when we are referring to "My::Site::User::Customer" or
"My::Site::Shop::Basket". We thought it would be nice if our classes knew what
we would prefer to call them.

This module will add a "moniker" (and "plural_moniker") method to
"UNIVERSAL", and so to every class or module.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-4.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.08-3.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.08-2.n0i.7
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.08-2.n0i.6
- version 0.08

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.5
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.07-1.n0i.4
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Wed Feb 25 2004 Marius FERARU <altblue@n0i.net> 0:0.07-1.n0i.3
- version 0.07

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:0.06-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Sat Jan 10 2004 Marius FERARU <altblue@n0i.net> 0:0.06-0.n0i.1
- version 0.06
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
